| Home | Libraries | People | FAQ | More

#### buffer (25 of 28 overloads)

Create a new non-modifiable buffer that represents the given POD vector.

    template<
        typename PodType,
        typename Allocator>
    const_buffers_1 buffer(
        const std::vector< PodType, Allocator > & data);

###### Return Value

A `const_buffers_1` value equivalent to:

    const_buffers_1(
        data.size() ? &data[0] : 0,
        data.size() * sizeof(PodType));

###### Remarks

The buffer is invalidated by any vector operation that would also invalidate iterators.